using RecrownedGTK.Types;

namespace RecrownedGTK.Pipeline.Information {
    public struct TextureMapInfo {
        public string pathToMap;
        public MapRegionInfo[] regionInfos;
        public TextureMapInfo(string pathToMap, params MapRegionInfo[] regionInfos) {
            this.pathToMap = pathToMap;
            this.regionInfos = regionInfos;
        }
        
        public struct MapRegionInfo {
            public string name;
            public NinePatchInfo ninePatchInfo;
            public int x, y, width, height;
            public MapRegionInfo(string name, int x, int y, int width, int height, NinePatchInfo ninePatchInfo = default(NinePatchInfo)) {
                this.name = name;
                this.ninePatchInfo = ninePatchInfo;
                this.x = x;
                this.y = y;
                this.width = width;
                this.height = height;
            }
            public void SetBounds(int x, int y, int width, int height) {
                this.x = x;
                this.y = y;
                this.width = width;
                this.height = height;
            }
        }
    }
}